- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreCompiler2Pass.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreStdHeaders.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::Compiler2Pass
| Compiler2Pass is a generic 2 pass compiler/assembler. More...
struct | Ogre::Compiler2Pass::TokenRule
| structure used to build rule paths More...
struct | Ogre::Compiler2Pass::LexemeTokenDef
| structure used to build lexeme Type library More...
struct | Ogre::Compiler2Pass::TokenInst
| map used to lookup client token based on previously defined lexeme More...
struct | Ogre::Compiler2Pass::TokenState

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:57 2008